AddressSpace (CMDB Model API)
Keywords: com.collation.platform.model.topology.sys.zOS.AddressSpace interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.sys.zOS
Interface AddressSpace

All Superinterfaces:
  ConfigurationItem, LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, RuntimeProcess, java.io.Serializable

    public interface AddressSpace

extends RuntimeProcess, ConfigurationItem

The operating system representation of a running software component that exists on the zOS operating system. Note that this class is a "counterpart" to the RuntimeProcess on other operating systems (such as Windows or Unix) but is not derived from it because the attributes are so different in zSeries environments.

Naming Rules:
  0="ZOS,jobName" 1="managedSystemName"
Persistable:
  true
Table Name:
  ADDRSPC
Top Level:
  true
Display Name:
  jobName

Field Summary
`static java.lang.String` | `IBM_COPYRIGHT`

Method Summary
`java.lang.String` | `getAllocations()`
`java.lang.String` | `getJobFunction()` The "function" of the job running in this address space (provided by the user).
`java.lang.String` | `getJobName()` The name of the job running in this address space.
`int` | `getJobType()` The type determines the nature of the job and how support personnel typically interact with it.
`java.lang.String` | `getJobUserid()` The userid that is executing the job in this address space.
`java.lang.String` | `getPgm()` The name of the program running in this address space
`java.lang.String` | `getPgmParm()` The parameters specified for the program running in this address space
`java.lang.String` | `getProcStep()` The procedure step running in this address space
`java.lang.String` | `getStepName()` The name of the procedure step running in this address space
`StorageVolume[]` | `getStoragevolume()`
`ZOS` | `getZOS()` The operating system on which this address space is running.
`ZReportFile[]` | `getZReportFiles()`
`boolean` | `hasAllocations()`
`boolean` | `hasJobFunction()`
`boolean` | `hasJobName()`
`boolean` | `hasJobType()`
`boolean` | `hasJobUserid()`
`boolean` | `hasPgm()`
`boolean` | `hasPgmParm()`
`boolean` | `hasProcStep()`
`boolean` | `hasStepName()`
`boolean` | `hasStoragevolume()`
`boolean` | `hasZOS()`
`boolean` | `hasZReportFiles()`
`void` | `setAllocations(java.lang.String x)`
`void` | `setJobFunction(java.lang.String value)`
`void` | `setJobName(java.lang.String value)`
`void` | `setJobType(int value)`
`void` | `setJobUserid(java.lang.String value)`
`void` | `setPgm(java.lang.String value)`
`void` | `setPgmParm(java.lang.String value)`
`void` | `setProcStep(java.lang.String value)`
`void` | `setStepName(java.lang.String value)`
`void` | `setStoragevolume(StorageVolume[] x)`
`void` | `setZOS(ZOS x)`
`void` | `setZReportFiles(ZReportFile[] x)`

Methods inherited from interface com.collation.platform.model.topology.sys.RuntimeProcess
`getCmdLine, getCommand, getConnections, getCWD, getEnv, getExecutable, getFileDescriptorLimit, getFileSystemMappings, getListenPorts, getParent, getPID, getPorts, getPPID, getTcpPorts, getUID, getUnattached, getUser, getWindowsServices, hasCmdLine, hasCommand, hasConnections, hasCWD, hasEnv, hasExecutable, hasFileDescriptorLimit, hasFileSystemMappings, hasListenPorts, hasParent, hasPID, hasPorts, hasPPID, hasTcpPorts, hasUID, hasUnattached, hasUser, hasWindowsServices, setCmdLine, setCommand, setConnections, setCWD, setEnv, setExecutable, setFileDescriptorLimit, setFileSystemMappings, setListenPorts, setParent, setPID, setPorts, setPPID, setTcpPorts, setUID, setUnattached, setUser, setWindowsServices`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Methods inherited from interface com.collation.platform.model.topology.process.itil.ConfigurationItem
`getAssetID, getAssetTag, getCICategory, getConfigLastUpdate, getLastAuditState, getLastAuditTime, getLastLifecycleStateTime, getLifecycleState, getPrimaryOwner, hasAssetID, hasAssetTag, hasCICategory, hasConfigLastUpdate, hasLastAuditState, hasLastAuditTime, hasLastLifecycleStateTime, hasLifecycleState, hasPrimaryOwner, setAssetID, setAssetTag, setCICategory, setConfigLastUpdate, setLastAuditState, setLastAuditTime, setLastLifecycleStateTime, setLifecycleState, setPrimaryOwner`

Field Detail

### IBM_COPYRIGHT

    static final java.lang.String IBM_COPYRIGHT

See Also:
  Constant Field Values

Method Detail

### getZReportFiles

    ZReportFile[] getZReportFiles()
                                  throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.AppliesTo" reverse="true"

### setZReportFiles

    void setZReportFiles(ZReportFile[] x)

### hasZReportFiles

    boolean hasZReportFiles()

### getJobName

    java.lang.String getJobName()
                                throws AttributeNotSetException

  The name of the job running in this address space. The name of the address space. Address spaces are also referred to as jobs. Jobnames are not guaranteed to be unique within a z/OS system but they usually are since it is difficult to manage them otherwise. Long-running jobs very likely have unique jobnames. Transient jobs may sometimes have the same jobname and may even run concurrently . If the discovery encounters multiple instances of the jobname then only first instance is represented in the IDML book.

  Throws:
    `AttributeNotSetException`

### setJobName

    void setJobName(java.lang.String value)

### hasJobName

    boolean hasJobName()

### getJobUserid

    java.lang.String getJobUserid()
                                  throws AttributeNotSetException

  The userid that is executing the job in this address space.

  Throws:
    `AttributeNotSetException`

### setJobUserid

    void setJobUserid(java.lang.String value)

### hasJobUserid

    boolean hasJobUserid()

### getJobType

    int getJobType()
                   throws AttributeNotSetException

  The type determines the nature of the job and how support personnel typically interact with it. StartedTask includes jobs that are initiated via the START command. They differ from the system type in that they have a JES Jobid with the S prefix. Interaction with the job is typically via the MODIFY command. Started tasks are often long running and are analogous to a daemon under *nix. batchJob includes jobs that are started by JES. They have a JES Jobid with the J prefix. Jobs are often short running. system is for jobs that are considered system jobs. They are typically started early in the IPL and have often have no JES Jobid value. SYS jobs usually run for the life of the IPL are analogous to a device driver process. TSOUser is for jobs that are TSO Users. They have a JES Jobid with the T prefix.

  Throws:
    `AttributeNotSetException`

### setJobType

    void setJobType(int value)

### hasJobType

    boolean hasJobType()

### getJobFunction

    java.lang.String getJobFunction()
                                    throws AttributeNotSetException

  The "function" of the job running in this address space (provided by the user).

  Throws:
    `AttributeNotSetException`

### setJobFunction

    void setJobFunction(java.lang.String value)

### hasJobFunction

    boolean hasJobFunction()

### getProcStep

    java.lang.String getProcStep()
                                 throws AttributeNotSetException

  The procedure step running in this address space

  Throws:
    `AttributeNotSetException`

### setProcStep

    void setProcStep(java.lang.String value)

### hasProcStep

    boolean hasProcStep()

### getStepName

    java.lang.String getStepName()
                                 throws AttributeNotSetException

  The name of the procedure step running in this address space

  Throws:
    `AttributeNotSetException`

### setStepName

    void setStepName(java.lang.String value)

### hasStepName

    boolean hasStepName()

### getPgm

    java.lang.String getPgm()
                            throws AttributeNotSetException

  The name of the program running in this address space

  Throws:
    `AttributeNotSetException`

### setPgm

    void setPgm(java.lang.String value)

### hasPgm

    boolean hasPgm()

### getPgmParm

    java.lang.String getPgmParm()
                                throws AttributeNotSetException

  The parameters specified for the program running in this address space

  Throws:
    `AttributeNotSetException`

### setPgmParm

    void setPgmParm(java.lang.String value)

### hasPgmParm

    boolean hasPgmParm()

### getStoragevolume

    StorageVolume[] getStoragevolume()
                                     throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Uses" reverse="false"

### setStoragevolume

    void setStoragevolume(StorageVolume[] x)

### hasStoragevolume

    boolean hasStoragevolume()

### getAllocations

    java.lang.String getAllocations()
                                    throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setAllocations

    void setAllocations(java.lang.String x)

### hasAllocations

    boolean hasAllocations()

### getZOS

    ZOS getZOS()
               throws AttributeNotSetException

  The operating system on which this address space is running.

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.RunsOn" reverse="false"

### setZOS

    void setZOS(ZOS x)

### hasZOS

    boolean hasZOS()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD